### Method

# EBookContacts ContactDateTime to_string

since: 3.60

#### Declaration [src]

    gchar*
    e_contact_date_time_to_string (
      const EContactDateTime* self,
      EVCardVersion for_version,
      EContactDateTimeFlags flags
    )

#### Description [src]

Generates a date/time string in the `for_version` format used by vCard standard, omitting unset values of the `self`. Free the returned string with g_free(), when no longer needed.

Available since: 3.60

#### Parameters

`for_version`

  Type: `EVCardVersion`

  An `EVCardVersion` with version to use the format for.

`flags`

  Type: `EContactDateTimeFlags`

  Bit-or of `EContactDateTimeFlags`.

#### Return value

Type: `gchar*`

A new date/time string, or `NULL`, when `self` is `NULL` or when all members are unset.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.